#
# spec file for package perl-Test-Exception-LessClever
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Exception-LessClever
Version:        0.007
Release:        1.1
%define cpan_name Test-Exception-LessClever
Summary:        Test::Exception simplified ***DEPRECATED***
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Exception-LessClever/
Source0:        http://www.cpan.org/authors/id/E/EX/EXODIST/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Mock::Quick) >= 1.100
BuildRequires:  perl(Module::Build) >= 0.420000
BuildRequires:  perl(Test::Simple) >= 0.88
%{perl_requires}

%description
*** This is deprecated please do not use it ***

An alternative to Test::Exception that is much simpler. This alternative
does not use fancy stack tricks to hide itself. The idea here is to keep it
simple. This also solves the Test::Exception bug where some dies will be
hidden when a DESTROY method calls eval. If a DESTROY method masks $@ a
warning will be generated as well.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc README

%changelog
* Thu Jun 23 2016 coolo@suse.com
- updated to 0.007
  see /usr/share/doc/packages/perl-Test-Exception-LessClever/
* Mon Sep 15 2014 coolo@suse.com
- initial package 0.006
  * created by cpanspec 1.78.08
